(load "~/.tuareg-mode/tuareg.el")

(setq auto-mode-alist
      (append '(("\\.ml[ily]?$" . tuareg-mode))
              auto-mode-alist))

(autoload 'php-mode "php-mode.el" "Php mode." t)
(setq auto-mode-alist (append '(("/*.\.php[345]?$" . php-mode)) auto-mode-alist))
